<?php
session_start();

//ログイン済みかを確認
if (!isset($_SESSION['USER'])) {
    header('Location: ./login.php');
    exit;
}

ini_set('display_errors',"On");

//データを受け取る
$datas=$_POST;

//取り出した情報を変数に格納
$id=$datas['id'];

require_once('./sqlEngine.php');

//sqlEngine.phpのインスタンス
$sqleg=new Sqe();

//該当の画像を削除
$result=$sqleg->getById($id);
if(!empty($result['filePath1'])){
    unlink($result['filePath1']);
}
if(!empty($result['filePath2'])){
    unlink($result['filePath2']);
}
if(!empty($result['filePath3'])){
    unlink($result['filePath3']);
}
if(!empty($result['filePath4'])){
    unlink($result['filePath4']);
}

//データベースから情報を削除する
$sqleg->delete($id);
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>データの削除</title>
    <style type="text/css">
        body{
            font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
                Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
                "Noto Color Emoji";
                font-size: 20px;
                color: #666;
                width: 100%;
        }

        body #button{
            display: inline-block;
            margin: 20px 20px;
            font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
                Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
                "Noto Color Emoji";
                font-size: 20px;
                color: #666;
        }
    </style>
</head>
<body>
    <input type="button" onclick="window.close();" value="閉じる" id='button'>
</body>
</html>