<?php

session_start(); // セッション開始宣言

// ログイン済みかを確認
if (isset($_SESSION['USER'])) {
    header('Location: ./topPage.php'); 
    exit; 
}

// ログイン機能
$error_message = '';
if(isset($_POST['login'])) { // name="login"と対応している
    if($_POST['password'] == '1111') { // パスワード
        $_SESSION['USER'] = 'user'; // 
        header('Location: ./topPage.php');
        exit;
    } else {
        $error_message = 'パスワードが違うみたいです';
    }
}

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ログイン</title>
    <style type="text/css">
        body .main{
            font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
            Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
            "Noto Color Emoji";
            font-size: 20px;
            color: #666;
            text-align: center;  
            width: 100%;              
        }

        body input{
            font-size: 20px;
        }

        body button{
            font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
            Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
            "Noto Color Emoji";
            font-size: 20px;
            color: #666;
            font-size: 20px;
        }                    
    </style>
</head>
<body>
    <div class="main">
        <h2>道路管理Webシステム</h2>
        <h3>ログイン</h3>
        <p style="color:red;"><?php echo $error_message ?></p>
        <form id="memberLogin" method="post" action="login.php">
            <p>パスワードを入力してください。</p>
            <p>
            <input type="password" id="password" name="password" size="20"  class="ptext"/>
            </p>
            <p>
            <input type="checkbox" id="password-check" name="" value="" />
            <label for="password-check" onclick="">パスワードを表示する</label>
            </p>
            <p>
            <button type="submit" name="login" size="" value="">送信</button>
            </p>
        </form>
    </div>
</body>
</html>
